Printable version

Drivers & software

Management Component Pack for OracleLinux6 (x86_64)

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Software - Support Pack
Version: 11.30(16 Jul 2019)
Operating System(s): Oracle Linux 6 (AMD64/EMT64)
File name: hpe-mcp-11.30-1-Oracle6.tar.gz (30 MB)
Management Component Pack for OracleLinux6 is a collection of software packages and can be used to update agents and other support software for HPE servers. HPE has performed qualification testing with this software on selected HPE Servers.

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Updated Components in Management Component Pack (MCP) - see Important tab for list of components included in MCP

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

ebbb51e17db8b9c078cbdcdcf6fb6cafdb88c60111cadec9391b59801891ca56 hpe-mcp-11.30-1-Oracle6.tar.gz

Reboot Requirement:
Reboot may be required after installation for updates to take effect and hardware stability to be maintained.


Installation:

The Management Component Pack for OracleLinux 6 (x86_64) is a compressed tar file, which includes all available packages, may be copied to the Linux target server, and unpacked.

Alternatively, the MCP may be acquired from an online yum repository at "http://downloads.linux.hpe.com"

From a terminal prompt as an administrator, change into the respective sub-directory - Distribution/Version/Architecture/Release and perform the following command for each component desired:

Cut and paste the following section (substituting ditribution, architecture and project version) into /etc/yum.repos.d/mcp.repo on your system:

[mcp]
name=Management Component Pack
baseurl=http://downloads.linux.hpe.com/repo/mcp/dist/dist_ver/project_ver
enabled=1
gpgcheck=0

Where:

dist oraclelinux

dist_ver Browse repo to identify supported distribution versions

project_ver current, 11.30, (Browse repo to identify supported project versions)

Installing Individual Packages:
 
 HP iLO online configuration utility:

Hponcfg is a command line utility that can be used to configure iLO from within the operating system without requiring a reboot of the server. To install the hponcfg package, run:

# yum install hponcfg or
# rpm –ivh hponcfg
 
 
Agentless Management Service (iLO 5) :

Agentless Management Service (AMSD) provides support for HPE Integrated Lights-Out 5 (HPE iLO 5) Embedded Health and Alerting.
 
# yum install amsd or
# rpm –ivh amsd

Smart Storage Administrator (SSA)

If there is an older version of SSA  installed on the system, use "rpm -e ssa" to remove it first.
yum install ssa or
"rpm -i < file name >"  to install the server.

Smart Storage Administrator (SSA) CLI 

The Smart Storage Administrator CLI (SSACLI) is a commandline-based disk configuration program that helps you configure, manage, diagnose, and monitor Smart Array Controllers.
yum install ssacli or
"rpm -i < file name >"  to install the server.

Smart Storage Administrator Diagnostic Utility (SSADU) CLI

The Smart Storage Administrator Diagnostic Utility CLI is a commandline-based disk configuration program for Smart Array Controllers

yum install ssaducli or
"rpm -i < file name >"  to install the server. 
 

These packages are also available from the HPE Software Delivery Repository http://downloads.linux.hpe.com/SDR/.  Please refer to the Getting Started information to understand how to configure and use the Software Delivery Repository.


End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important:

Please note that the health/snmp/smh functionality was moved to iLO on HPE Gen10 Servers.
Support for HPE Gen10 platforms requires OracleLinux 6.9 or higher.
MCP 11.30 bundle has the following components :

  • amsd-1.4.0-3066.59.ol6.x86_64.rpm 
  • hponcfg-5.4.0-0.x86_64.rpm       
  • ssacli-3.40-3.0.x86_64.rpm
  • ssaducli-3.40-3.0.x86_64.rpm
  • ssa-3.40-3.0.x86_64.rpm

Please note that the health/snmp/smh functionality was moved to iLO on HPE Gen10 Servers.
Support for HPE Gen10 platforms requires OracleLinux 6.9 or higher.
MCP 11.30 bundle has the following components :

  • amsd-1.4.0-3066.59.ol6.x86_64.rpm 
  • hponcfg-5.4.0-0.x86_64.rpm       
  • ssacli-3.40-3.0.x86_64.rpm
  • ssaducli-3.40-3.0.x86_64.rpm
  • ssa-3.40-3.0.x86_64.rpm
Version:11.30 (16 Jul 2019)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Updated Components in Management Component Pack (MCP) - see Important tab for list of components included in MCP

Version:11.05 (26 Feb 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Initial release for HPE Gen10 platforms


Type: Software - Support Pack
Version: 11.30(16 Jul 2019)
Operating System(s):
Oracle Linux 6 (AMD64/EMT64)

Description

Management Component Pack for OracleLinux6 is a collection of software packages and can be used to update agents and other support software for HPE servers. HPE has performed qualification testing with this software on selected HPE Servers.

Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Updated Components in Management Component Pack (MCP) - see Important tab for list of components included in MCP

Installation Instructions

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

ebbb51e17db8b9c078cbdcdcf6fb6cafdb88c60111cadec9391b59801891ca56 hpe-mcp-11.30-1-Oracle6.tar.gz

Reboot Requirement:
Reboot may be required after installation for updates to take effect and hardware stability to be maintained.


Installation:

The Management Component Pack for OracleLinux 6 (x86_64) is a compressed tar file, which includes all available packages, may be copied to the Linux target server, and unpacked.

Alternatively, the MCP may be acquired from an online yum repository at "http://downloads.linux.hpe.com"

From a terminal prompt as an administrator, change into the respective sub-directory - Distribution/Version/Architecture/Release and perform the following command for each component desired:

Cut and paste the following section (substituting ditribution, architecture and project version) into /etc/yum.repos.d/mcp.repo on your system:

[mcp]
name=Management Component Pack
baseurl=http://downloads.linux.hpe.com/repo/mcp/dist/dist_ver/project_ver
enabled=1
gpgcheck=0

Where:

dist oraclelinux

dist_ver Browse repo to identify supported distribution versions

project_ver current, 11.30, (Browse repo to identify supported project versions)

Installing Individual Packages:
 
 HP iLO online configuration utility:

Hponcfg is a command line utility that can be used to configure iLO from within the operating system without requiring a reboot of the server. To install the hponcfg package, run:

# yum install hponcfg or
# rpm –ivh hponcfg
 
 
Agentless Management Service (iLO 5) :

Agentless Management Service (AMSD) provides support for HPE Integrated Lights-Out 5 (HPE iLO 5) Embedded Health and Alerting.
 
# yum install amsd or
# rpm –ivh amsd

Smart Storage Administrator (SSA)

If there is an older version of SSA  installed on the system, use "rpm -e ssa" to remove it first.
yum install ssa or
"rpm -i < file name >"  to install the server.

Smart Storage Administrator (SSA) CLI 

The Smart Storage Administrator CLI (SSACLI) is a commandline-based disk configuration program that helps you configure, manage, diagnose, and monitor Smart Array Controllers.
yum install ssacli or
"rpm -i < file name >"  to install the server.

Smart Storage Administrator Diagnostic Utility (SSADU) CLI

The Smart Storage Administrator Diagnostic Utility CLI is a commandline-based disk configuration program for Smart Array Controllers

yum install ssaducli or
"rpm -i < file name >"  to install the server. 
 

These packages are also available from the HPE Software Delivery Repository http://downloads.linux.hpe.com/SDR/.  Please refer to the Getting Started information to understand how to configure and use the Software Delivery Repository.


Release Notes

End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important:

Please note that the health/snmp/smh functionality was moved to iLO on HPE Gen10 Servers.
Support for HPE Gen10 platforms requires OracleLinux 6.9 or higher.
MCP 11.30 bundle has the following components :

  • amsd-1.4.0-3066.59.ol6.x86_64.rpm 
  • hponcfg-5.4.0-0.x86_64.rpm       
  • ssacli-3.40-3.0.x86_64.rpm
  • ssaducli-3.40-3.0.x86_64.rpm
  • ssa-3.40-3.0.x86_64.rpm

Important

Please note that the health/snmp/smh functionality was moved to iLO on HPE Gen10 Servers.
Support for HPE Gen10 platforms requires OracleLinux 6.9 or higher.
MCP 11.30 bundle has the following components :

  • amsd-1.4.0-3066.59.ol6.x86_64.rpm 
  • hponcfg-5.4.0-0.x86_64.rpm       
  • ssacli-3.40-3.0.x86_64.rpm
  • ssaducli-3.40-3.0.x86_64.rpm
  • ssa-3.40-3.0.x86_64.rpm

Revision History

Version:11.30 (16 Jul 2019)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Updated Components in Management Component Pack (MCP) - see Important tab for list of components included in MCP

Version:11.05 (26 Feb 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Initial release for HPE Gen10 platforms


Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.